<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>SHA512 Checksum</title>
    <link rel="stylesheet" href="../node_modules/bootstrap/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="app.css">
</head>

<body class="text-center">

<div class="cover-container d-flex w-100 h-100 p-3 mx-auto flex-column">

    <img src="logo.png" id="logo" />

    <main role="main" class="inner cover">
        <h1>Vérification de l'intégrité d'un fichier
            <br />
            <small>Algorithme Utilisé : <strong>SHA-512</strong></small>
        </h1>
        <button class="btn btn-primary" id="btn">Choix d'un fichier</button>

        <section id="spinner"></section>
        <small id="spinnerWait">En attente de fichier...</small>

        <section id="resultWrap" class="resultWrap">
            <h2 class="mt-5">Résultat du checksum</h2>
            <span id="result"></span>
            <button class="btn btn-block btn-primary" id="copyCode">Copier</button>
        </section>
    </main>

    <footer class="mastfoot mt-auto">
        <div class="inner text-right">
            <small>Etude A.GRAFFARD - ANNECY</small>
        </div>
    </footer>
</div>

<script>
    require('./renderer.js')
</script>

</body>
</html>
